#
# spec file for package autoconf (Version 2.52)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dejagnu expect g77 gpp libgpp m4 tcl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex g77 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim

Name:         autoconf
Copyright:    GPL
Group:        Development/Tools
Autoreqprov:  on
Requires:     m4 gawk
Version:      2.52
Release:      73
Summary:      A GNU tool for automatically configuring source code
URL:	      http://www.gnu.org/software/autoconf
Buildroot: %{_tmppath}/%{name}-root
Source: autoconf-%{version}.tar.gz
Patch: autoconf-%{version}.dif

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.
You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your
source code packages.
Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

Authors:
--------
    Ben Elliston <bje@cygnus.com>
    David J MacKenzie <djm@catapult.va.pubnix.com>

SuSE series: d

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=%{_prefix} --infodir=%{_infodir}
make
make check

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix} infodir=$RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/bin/*
%{_prefix}/share/autoconf
%doc %{_infodir}/*.gz

%changelog -n autoconf
* Sat Jul 21 2001 - schwab@suse.de
- Always set {host,build,target}_alias.
* Thu Jul 19 2001 - schwab@suse.de
- Update to autoconf 2.52.
* Mon Jun 11 2001 - olh@suse.de
- recognize ppc64
* Tue May 22 2001 - schwab@suse.de
- Update to autoconf 2.50.
- Add Buildroot.
* Fri Mar 23 2001 - schwab@suse.de
- Add m4 as neededforbuild.
- Require m4 and gawk.
* Wed Mar 21 2001 - schwab@suse.de
- Set F77 to g77 during `make check'.
* Wed Feb 21 2001 - schwab@suse.de
- Fix AC_PROC_CXXCPP.
- Add %%suse_update_config.
- Don't mark acconfig.h as %%config.
- Run testsuite.
* Thu Jun 01 2000 - kukuk@suse.de
- Add more docu, fill out group tag
* Mon May 01 2000 - kukuk@suse.de
- Use infodir macro
* Fri Mar 24 2000 - schwab@suse.de
- Fix conflicting declaration of exit.
* Tue Jan 18 2000 - schwab@suse.de
- Undefine m4 macro `symbols' (new builtin in m4 1.4o).
* Mon Dec 06 1999 - schwab@suse.de
- Discard output from `type -p'.
* Thu Dec 02 1999 - schwab@suse.de
- Make sure tempfiles are always removed.
- Fix some quoting bugs in shell scripts.
* Thu Nov 04 1999 - ro@suse.de
- fixed for alphaev6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - kukuk@suse.de
- Specfile cleanup
* Fri Jan 15 1999 - ro@suse.de
- update to 2.13
* Thu Jul 23 1998 - werner@suse.de
- Make auto*.sh more secure and use mktemp if avaliable
* Wed Jan 22 1997 - florian@suse.de
- update to version 2.12
